package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.hibernate.envers.Audited;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.entities.Jabatan;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

/**
 *  class Tor
 * 
 * @author Generator
 */
@Entity //@Audited
@Table(name = "Tor_M")
public class TorVO extends BaseMasterVO {

	@NotNull(message="No Rab TIdak Boleh Kosong")
	@Column(name = "noRab", nullable = false )
	@Caption(value="No Rab")
	private String noRab;

	@Column(name = "title1", nullable = true )
	@Caption(value="Title 1")
	private String title1;
	
	@Column(name = "title2", nullable = true )
	@Caption(value="Title 2")
	private String title2;
	
	@Column(name = "title3", nullable = true )
	@Caption(value="Title 3")
	private String title3;
	
	@Column(name = "latarBelakang", nullable = true )
	@Caption(value="latarBelakang")
	private String latarBelakang;
	
	@Column(name = "penerimaManfaat", nullable = true )
	@Caption(value="Penerima Manfaat")
	private String penerimaManfaat;
	
	@Column(name = "strategiPencapaiKeluaran", nullable = true )
	@Caption(value="Strategi Pencapai Keluaran")
	private String strategiPencapaiKeluaran;
	

	@Column(name = "kurunWaktuPencapaiKeluaran", nullable = true )
	@Caption(value="Kurun Waktu Pencapai Keluaran")
	private String kurunWaktuPencapaiKeluaran;
	

	@Column(name = "biayaYangDikeluarkan", nullable = true )
	@Caption(value="Biaya Yang Dikeluarkan")
	private String biayaYangDikeluarkan;

	@ManyToOne
	@Caption(value=" Jabatan")
	private JabatanVO jabatan;

	public String getNoRab() {
		return noRab;
	}

	public void setNoRab(String noRab) {
		this.noRab = noRab;
	}

	public String getTitle1() {
		return title1;
	}

	public void setTitle1(String title1) {
		this.title1 = title1;
	}

	public String getTitle2() {
		return title2;
	}

	public void setTitle2(String title2) {
		this.title2 = title2;
	}

	public String getTitle3() {
		return title3;
	}

	public void setTitle3(String title3) {
		this.title3 = title3;
	}

	public String getLatarBelakang() {
		return latarBelakang;
	}

	public void setLatarBelakang(String latarBelakang) {
		this.latarBelakang = latarBelakang;
	}

	public String getPenerimaManfaat() {
		return penerimaManfaat;
	}

	public void setPenerimaManfaat(String penerimaManfaat) {
		this.penerimaManfaat = penerimaManfaat;
	}

	public String getStrategiPencapaiKeluaran() {
		return strategiPencapaiKeluaran;
	}

	public void setStrategiPencapaiKeluaran(String strategiPencapaiKeluaran) {
		this.strategiPencapaiKeluaran = strategiPencapaiKeluaran;
	}

	public String getKurunWaktuPencapaiKeluaran() {
		return kurunWaktuPencapaiKeluaran;
	}

	public void setKurunWaktuPencapaiKeluaran(String kurunWaktuPencapaiKeluaran) {
		this.kurunWaktuPencapaiKeluaran = kurunWaktuPencapaiKeluaran;
	}

	public String getBiayaYangDikeluarkan() {
		return biayaYangDikeluarkan;
	}

	public void setBiayaYangDikeluarkan(String biayaYangDikeluarkan) {
		this.biayaYangDikeluarkan = biayaYangDikeluarkan;
	}

	public JabatanVO getJabatan() {
		return jabatan;
	}

	public void setJabatan(JabatanVO jabatan) {
		this.jabatan = jabatan;
	}






}

